package com.steerinfo.pretrack.dto;


import com.steerinfo.pretrack.prerailwayscale.model.PreRailwayScale;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PreRailwayScaleDto extends PreRailwayScale {
    /**
     * 委托单号(ENTR_ID,VARCHAR,16)
     */
    @ApiModelProperty(value = "委托单号", required = true)
    private String entrId;

    @ApiModelProperty(value = "备注", required = false)
    private String memo;

    @ApiModelProperty(value = "包装数量", required = false)
    private BigDecimal netNum;

    @ApiModelProperty(value = "发运净重", required = false)
    private BigDecimal netWgt;

    @ApiModelProperty(value = "发货地点", required = false)
    private String sendPlace;

    @ApiModelProperty(value = "产地", required = false)
    private String matOrigin;

    @ApiModelProperty(value = "卸货地点", required = false)
    private String unloadPlace;

    @ApiModelProperty(value = "毛重", required = false)
    private BigDecimal grossWeight;

    @ApiModelProperty(value = "毛重时间", required = false)
    private Date grossTime;

    @ApiModelProperty(value = "皮重", required = false)
    private BigDecimal tareWeight;

    @ApiModelProperty(value = "皮重时间", required = false)
    private Date tareTime;

    @ApiModelProperty(value = "净重", required = false)
    private BigDecimal netWeight;

    @ApiModelProperty(value = "净重时间", required = false)
    private Date netTime;



    /**
     * 发运净重(SHIPMENT_NET_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运净重",required=false)
    private BigDecimal shipmentNetWeight;

    /**
     * 发运数量(SHIPMENT_NUM,DECIMAL,5)
     */
    @ApiModelProperty(value="发运数量",required=false)
    private Integer shipmentNum;


    /**
     * 发运毛重(SHIPMENT_GROSS_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运毛重",required=false)
    private BigDecimal shipmentGrossWeight;

    /**
     * 卸货地点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="卸货地点名称",required=false)
    private String loadPointName;

    public BigDecimal getNetNum() {
        return netNum;
    }

    /**
     * 原产地(SOURCE_AREA,VARCHAR,50)
     */
    @ApiModelProperty(value="原产地",required=false)
    private String sourceArea;


    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getSourceArea() {
        return sourceArea;
    }

    public void setSourceArea(String sourceArea) {
        this.sourceArea = sourceArea;
    }

    public void setNetNum(BigDecimal netNum) {
        this.netNum = netNum;
    }

    public BigDecimal getNetWgt() {
        return netWgt;
    }

    public void setNetWgt(BigDecimal netWgt) {
        this.netWgt = netWgt;
    }

    public BigDecimal getShipmentNetWeight() {
        return shipmentNetWeight;
    }

    public void setShipmentNetWeight(BigDecimal shipmentNetWeight) {
        this.shipmentNetWeight = shipmentNetWeight;
    }

    public Integer getShipmentNum() {
        return shipmentNum;
    }

    public void setShipmentNum(Integer shipmentNum) {
        this.shipmentNum = shipmentNum;
    }

    public BigDecimal getShipmentGrossWeight() {
        return shipmentGrossWeight;
    }

    public void setShipmentGrossWeight(BigDecimal shipmentGrossWeight) {
        this.shipmentGrossWeight = shipmentGrossWeight;
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName;
    }

    public String getSendPlace() {
        return sendPlace;
    }

    public void setSendPlace(String sendPlace) {
        this.sendPlace = sendPlace;
    }

    public String getMatOrigin() {
        return matOrigin;
    }

    public void setMatOrigin(String matOrigin) {
        this.matOrigin = matOrigin;
    }

    public String getUnloadPlace() {
        return unloadPlace;
    }

    public void setUnloadPlace(String unloadPlace) {
        this.unloadPlace = unloadPlace;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }


    public String getEntrId() {
        return entrId;
    }

    public void setEntrId(String entrId) {
        this.entrId = entrId;
    }
}
